  
  #ifndef _functions_h_
  #define _functions_h_
  
  //sampling frequency
  #define F_CPU 20E6
  #include <avr/io.h>
  #include <stdbool.h>
  
  void Timer_init();
  
  void Calibration_cycle(uint8_t *currPWMlvl, uint8_t *currDAClvl);
  
  void ADC_init();
  void ADC_disable();
  uint8_t ADC_get_value();
  
  void set_DAC_level(uint8_t val, uint8_t *currDAClvl);				// DAC Value 0-255
  
  void enable_MUX();
  void disable_MUX();
  void set_MUX(uint8_t channelnumber);		// Channel number 0-7 (Y0-Y7)
  void set_PGA(uint8_t PGA_val, uint8_t *currPGAlvl);
  bool PGA_errorflag();
  
  void PWM_init();
  
  void enable_LOCK_PWM();
  void disable_LOCK_PWM();
  void set_LOCK_PWM(uint8_t pwm_val);
  
  void LED1_on();
  void LED1_off();
  void LED2_on();
  void LED2_off();
  void LED_Init();
  
  void test_PGA(uint8_t *currPGAval);
  void test_MUX();
  void test_DAC();

  
  
   #endif /*_functions_h_*/